Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Class OutputListItemToInputTransform

    java.lang.Object
      |
      +--com.bea.p13n.advisor.AbstractAdviceTransform
            |
            +--com.bea.p13n.advisor.OutputToInputTransform
                  |
                  +--com.bea.p13n.advisor.OutputListItemToInputTransform

public class OutputListItemToInputTransform
extends OutputToInputTransform

This is an `AdviceTransform` that takes the last RESULT key (getResult return value) from the `Advice` object and puts it into the key specified in the "output-key" parameter field in the `AdviceRequest`. Additionally, if the result object is a `List` only the first item of the `List` is added to the `AdviceRequest`.
If the `Advice` is `null` or incomplete no transformation is performed.

Constructor Summary
`OutputListItemToInputTransform(Advisor advisor, Metadata metadata)` Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

Method Summary
`void` | `transform(Advice input, AdviceRequest output)`

Methods inherited from class com.bea.p13n.advisor.OutputToInputTransform
`getRequestKey, getSpecificKey, getSpecificValue, initialize`

Methods inherited from class com.bea.p13n.advisor.AbstractAdviceTransform
`getMetadata, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputListItemToInputTransform

    public OutputListItemToInputTransform(Advisor advisor,
                                          Metadata metadata)

  Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

  Parameters:
    `advisor` - the advisor for this object.
    `metadata` - the metadata for this object.

Method Detail

### transform

    public void transform(Advice input,
                          AdviceRequest output)
                   throws AdvisorException

  Overrides:
    transform in class OutputToInputTransform

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved